Package org.eclipse.m2m.atl.core

# Interface IExtractor

All Known Implementing Classes:
  `ASMExtractor`, `AtlParser`, `EMFExtractor`

public interface IExtractor
The IExtractor interface defines a way to serialize a given IModel.

## Method Summary

Modifier and Type
Method
Description
`void`
`extract(IModel sourceModel, OutputStream target, Map<String,Object> options)`
Extracts an IModel using the given options.
`void`
`extract(IModel sourceModel, String target)`
Extracts an IModel using default options.
`void`
`extract(IModel sourceModel, String target, Map<String,Object> options)`
Extracts an IModel using the given options.

## Method Details

### extract

void extract(IModel sourceModel, String target) throws ATLCoreException
Extracts an IModel using default options.

Parameters:
  `sourceModel` - the IModel to extract
  `target` - the target indication to extract the targetModel
Throws:
  `ATLCoreException`

### extract

void extract(IModel sourceModel, String target, Map<String,Object> options) throws ATLCoreException
Extracts an IModel using the given options.

Parameters:
  `sourceModel` - the IModel to extract
  `target` - the target indication to extract the targetModel
  `options` - the extraction parameters
Throws:
  `ATLCoreException`

### extract

void extract(IModel sourceModel, OutputStream target, Map<String,Object> options) throws ATLCoreException
Extracts an IModel using the given options.

Parameters:
  `sourceModel` - the IModel to extract
  `target` - the `OutputStream` where to extract the targetModel
  `options` - the extraction parameters
Throws:
  `ATLCoreException`